Printago API
POST /v1/orders/customers

Create a new customer

Requires: order.create

Request Body

Customer information (requires at least name, email, or phone)

CreateCustomerDto
customMetadataoptional
Record<string, any>
emailoptional
string
nameoptional
string
phoneoptional
string

Example Request

application/json
{
  "customMetadata": {}
}

Response Schema

Customer
countryCodeoptional
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
emailoptional
string
externalIdoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
nameoptional
string
phoneoptional
string
provinceCodeoptional
string
sourceoptional
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
zipCodeoptional
string

Example Response

201 OK — application/json
{
  "customMetadata": {},
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-09-09T20:31:46.762Z",
  "updatedAt": "2026-09-09T20:31:46.762Z"
}